Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.builders
Class RequestObjectBuilderFactory

    java.lang.Object
      be.ehealth.businessconnector.therlink.builders.RequestObjectBuilderFactory

    public final class RequestObjectBuilderFactory

extends Object

Factory for `CommonObjectBuilder`, `ProofBuilder` and `RequestObjectBuilder`

Method Summary
`static CommonObjectBuilder` | `getCommonBuilder()` Retrieve an instance of a `CommonObjectBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be
`static ProofBuilder` | `getProofBuilder()` Retrieve an instance of a `ProofBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be
`static RequestObjectBuilder` | `getRequestObjectBuilder()` Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCommonBuilder

    public static CommonObjectBuilder getCommonBuilder()
                                                throws TherLinkBusinessConnectorException,
                                                       TechnicalConnectorException,
                                                       InstantiationException

  Retrieve an instance of a `CommonObjectBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be

  Returns:
  Throws:
    `TherLinkBusinessConnectorException`
    `TechnicalConnectorException`
    `InstantiationException`

### getProofBuilder

    public static ProofBuilder getProofBuilder()
                                        throws TechnicalConnectorException,
                                               TherLinkBusinessConnectorException,
                                               InstantiationException

  Retrieve an instance of a `ProofBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be

  Returns:
  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`
    `InstantiationException`

### getRequestObjectBuilder

    public static RequestObjectBuilder getRequestObjectBuilder()
                                                        throws TechnicalConnectorException,
                                                               TherLinkBusinessConnectorException,
                                                               InstantiationException

  Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be

  Returns:
    configured `RequestObjectBuilder`
  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.